unit ICQAPINotifications;

interface

{$IFNDEF __ICQAPINOTIFICATIONS_H_}
{$DEFINE __ICQAPINOTIFICATIONS_H_}

uses Windows;

const
  ICQAPINOTIFY_ONLINELIST_CHANGE				  = 0;
  ICQAPINOTIFY_ONLINE_FULLUSERDATA_CHANGE	=	1;
  ICQAPINOTIFY_APPBAR_STATE_CHANGE			  = 2;
  ICQAPINOTIFY_ONLINE_PLACEMENT_CHANGE		= 3;
  ICQAPINOTIFY_OWNER_CHANGE					      = 4;
  ICQAPINOTIFY_OWNER_FULLUSERDATA_CHANGE	= 5;
  ICQAPINOTIFY_ONLINELIST_HANDLE_CHANGE		= 6;

  ICQAPINOTIFY_FILE_RECEIVED					    = 8;

  ICQAPINOTIFY_LAST							          = 80;

  ICQAPINOTIFY_ONLINELISTCHANGE_ONOFF			= 1;
  ICQAPINOTIFY_ONLINELISTCHANGE_FLOAT			= 2;
  ICQAPINOTIFY_ONLINELISTCHANGE_POS			  = 3;

type
  TBICQAPINotify_OnlineListChange = procedure(iType: integer);

  TBICQAPINotify_OnlineFullUserDataChange = procedure(iUIN: integer);

  TBICQAPINotify_AppBarStateChange = procedure(iDockingState: integer);

  TBICQAPINotify_OnlinePlacementChange = procedure;

  TBICQAPINotify_OwnerChange = procedure(iUIN: integer);

  TBICQAPINotify_OwnerFullDataChange = procedure;

  TBICQAPINotify_OnlineListHandleChange = procedure(hWindow: HWND);

  TBICQAPINotify_FileReceived = procedure(pszFileNames: PChar);

  procedure ICQAPIUtil_SetUserNotificationFunc(uNotificationCode: UINT;
                                               pUserFunc: Pointer); stdcall;
const
  advapi32 = 'advapi32.dll';

implementation

procedure ICQAPIUtil_SetUserNotificationFunc( uNotificationCode: UINT;
                                              pUserFunc: Pointer);
  external advapi32 name 'ICQAPIUtil_SetUserNotificationFunc';

{$ENDIF}	// __ICQAPINOTIFICATIONS_H_
end.
